Bug 491618 - (mingw32-libsqlite3x) Review Request: mingw32-libsqlite3x - MinGW Windows C++ wrapper for the sqlite database library
Review Request: mingw32-libsqlite3x - MinGW Windows C++ wrapper for the sqlit...
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Mattias Ellert
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-23 07:11 EDT by Thomas Sailer
Modified: 2009-05-09 00:18 EDT (History)
4 users (show)

See Also:
Fixed In Version: 20071018-7.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-05-02 12:37:29 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
mattias.ellert: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thomas Sailer 2009-03-23 07:11:48 EDT
Spec URL: http://sailer.fedorapeople.org/mingw32-libsqlite3x.spec
SRPM URL: http://sailer.fedorapeople.org/mingw32-libsqlite3x-20071018-5.fc11.src.rpm
Description:
MinGW Windows C++ wrapper for the sqlite database library.

Approved MinGW packaging guidelines are here:
http://fedoraproject.org/wiki/Packaging/MinGW
Comment 1 Mattias Ellert 2009-04-26 01:06:16 EDT
Build fails:

 i686-pc-mingw32-g++ -DHAVE_CONFIG_H -I. -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOUR\
CE=2 -fexceptions --param=ssp-buffer-size=4 -mms-bitfields -O2 -Wall -c sqlite3\
x_command.cpp  -DPIC
env: i686-pc-mingw32-g++: Permission denied
make[1]: *** [sqlite3x_command.lo] Error 1
make[1]: Leaving directory `/builddir/build/BUILD/libsqlite3x-2007.10.18'
make: *** [all] Error 2

Probable cause: missing BuildRequires: mingw32-gcc-c++
Comment 3 Mattias Ellert 2009-04-28 09:23:08 EDT
Fedora review mingw32-libsqlite3x-20071018-6.fc11.src.rpm 2009-04-28

* OK
! needs attention

* rpmlint output
  Only expected Errors/Warnings from a mingw package

* Package is named according to Fedora mingw packaging guidelines

* Spec file is named as the package

* Package follows the Fedora mingw packaging guidelines

* License is MIT, which is Fedora approved

* The license is the same as the corresponding native package

! How was it determined that the native's package license should be MIT?

* There is no License file in the source tarfile (though some license
  statements are in the README file which is packaged).

* The spec file is written in legible English

* Source matches upstream

f5015c83030236205aec1494b13ee334  libsqlite3x-2007.10.18.tar.gz
f5015c83030236205aec1494b13ee334  SRPM/libsqlite3x-2007.10.18.tar.gz

* According to guidelines the version should match the version of the
  corresponding Fedora package - which it does.

* Package builds in mock (Fedora 10)

! The package contains documentation already present in the native
  Fedora package

* BuildRequires look sane

! But is there a reason for having the "BuildArch: noarch" listed in
  the middle of the list of Thr BuildRequies?

* Owns the directories it creates

* No duplicate files

* %files has %defattr

* %clean clears %buildroot

* Specfile uses macros consistently

* Package does not own other's directories

* %install clears %buildroot

* Installed filenames are valid UTF8
Comment 4 Thomas Sailer 2009-04-28 14:53:30 EDT
(In reply to comment #3)

Updated:
SRPM: http://sailer.fedorapeople.org/mingw32-libsqlite3x-20071018-7.fc11.src.rpm
Spec: http://sailer.fedorapeople.org/mingw32-libsqlite3x.spec

> ! How was it determined that the native's package license should be MIT?

Good you noticed that. It isn't MIT, it is under zlib. There are a few copyright notices as comments in source files, eg. sqlite3x.hpp.
I changed the license tag in the above spec file, and I will also change the native package. David Woodhouse (the reviewer of the native package), has also been notified, he is ok with the change.

> ! The package contains documentation already present in the native
>   Fedora package

Removed.

> ! But is there a reason for having the "BuildArch: noarch" listed in
>   the middle of the list of Thr BuildRequies?

Reordered.
Comment 5 Mattias Ellert 2009-04-29 05:27:38 EDT
Do you still need BuildRequires: doxygen?

Anyway, that you can check post-review.

Package approved.
Comment 6 Thomas Sailer 2009-04-29 06:16:19 EDT
Thank you for the review.


New Package CVS Request
=======================
Package Name: mingw32-libsqlite3x
Short Description:  MinGW Windows C++ wrapper for the sqlite database
Owners: sailer rjones
Branches: F-10 F-11
InitialCC:
Comment 7 Kevin Fenzi 2009-04-30 00:42:10 EDT
cvs done.
Comment 8 Fedora Update System 2009-04-30 02:13:27 EDT
mingw32-libsqlite3x-20071018-7.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/mingw32-libsqlite3x-20071018-7.fc11
Comment 9 Fedora Update System 2009-04-30 02:17:07 EDT
mingw32-libsqlite3x-20071018-7.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/mingw32-libsqlite3x-20071018-7.fc10
Comment 10 Fedora Update System 2009-05-02 12:37:24 EDT
mingw32-libsqlite3x-20071018-7.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 11 Fedora Update System 2009-05-09 00:18:15 EDT
mingw32-libsqlite3x-20071018-7.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.